Arch MergeWalls/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "Category:Arch/fr")
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
{{Template:UnfinishedDocu}}
{{Template:UnfinishedDocu}}
{{docnav|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Module|Arch]]}}

<div class="mw-translate-fuzzy">
{{GuiCommand/fr|Name=Arch MergeWalls|Name/fr=Arc FusionnerMurs|Workbenches=[[Arch Module|Arch]]|MenuLocation=Architecture → Utilitaires → Fusionner des Murs|Shortcut=|SeeAlso=}}
{{GuiCommand/fr|Name=Arch MergeWalls|Name/fr=Arc FusionnerMurs|Workbenches=[[Arch Module|Arch]]|MenuLocation=Architecture → Utilitaires → Fusionner des Murs|Shortcut=|SeeAlso=}}
</div>


==Description==
==Description==


The [[Arch MergeWalls|MergeWalls]] tool fuses two or more selected [[Arch Wall]]s.



==Utilisation==
==Utilisation==


# Select two or more walls.
# Go to the menu {{MenuCommand|Arch → Utilities → [[Image:Arch MergeWalls.svg|16px]] Merge Walls}}.

== Scripting ==
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].

This tool can be used in [[macros]] and from the [[Python]] console by using the following function:
{{Code|code=
base = joinWalls(walls, delete=False)
}}

Example:
{{Code|code=
import FreeCAD, Draft, Arch


p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()


Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute()


base = Arch.joinWalls([Wall1, Wall2])
}}
{{docnav|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Module|Arch]]}}


<div class="mw-translate-fuzzy">
[[Category:Arch/fr]]
[[Category:Arch/fr]]
</div>

Revision as of 13:08, 5 February 2019

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Arc FusionnerMurs

Emplacement du menu
Architecture → Utilitaires → Fusionner des Murs
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun

Description

The MergeWalls tool fuses two or more selected Arch Walls.

Utilisation

  1. Select two or more walls.
  2. Go to the menu Arch → Utilities → Merge Walls.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

base = joinWalls(walls, delete=False)

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])